import { Certificate, SignerService, VerifySignatureResult } from './SignerService';
export declare class DocuSignSignerService extends SignerService {
    config: {
        serviceRoot: string;
    };
    requestVerificationCode(): Promise<boolean>;
    get requiresVerificationCodeRequest(): boolean;
    private certificates;
    constructor(config: {
        serviceRoot: string;
    });
    get status(): Promise<any>;
    authenticate({ username, password, rememberMe }: {
        username?: string;
        password?: string;
        rememberMe?: boolean;
    }): Promise<boolean>;
    getCertificates(force?: boolean): Promise<Certificate[]>;
    queryStatus(): Promise<any>;
    sign(form: FormData): Promise<Blob>;
    get requiresVerificationCode(): boolean;
    confirmVerificationCode(): Promise<any>;
    get requiresUsernamePassword(): boolean;
    getVerificationUrl(): string;
    verifyDocument(file: any): Promise<VerifySignatureResult[]>;
}
//# sourceMappingURL=DocuSignSignerService.d.ts.map